xoops forums

Mamba

Moderator
Posted on: 8/1 23:55
Mamba
Mamba (Show more)
Moderator
Posts: 10630
Since: 2004/4/23
#1

Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Resized Image

Publisher 1.06 FINAL is released

This module has been updated for XOOPS 2.5.9 and PHP 5.6 - 7.2.8 Also tested on the upcoming XOOPS 2.5.10 and PHP 7.3

The key changes in this release are internal, i.e. we've moved to namespaces and class autoloading. This should make future development faster and easier! Hopefully!

DOWNLOAD: https://github.com/XoopsModules25x/publisher/releases

FORK: https://github.com/XoopsModules25x/publisher

TUTORIAL: https://docu.xoops.org/mkdocs/modules/ ... /en/book/2administration/
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

kakos

Friend of XOOPS
Posted on: 9/21 11:37
kakos
kakos (Show more)
Friend of XOOPS
Posts: 73
Since: 2002/6/6 2
#2

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Hi
First of all thanks for your work!!!

I'd like to know if there is an option (at will) to add an expiration date when someone creating an article.
I 've seen this option in many other modules but not in publisher.

Thanks Kostas

SMEDrieben

Not too shy to talk
Posted on: 9/21 18:21
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#3

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

In my test system, Xoops 2.5.9 and php 7.0.10, the mime-tab in the admin generates a fatal error:

Fatal error: require_once(): Failed opening required 'C:\wamp64\www\httpdocs\modules\publisher\class/admin_footer.php' (include_path='.;C:\php\pear') in C:\wamp64\www\httpdocs\modules\publisher\class\MimetypesUtility.php on line 491

Is it normal that both backslashes and forward slashes are used in a path (\class/admin) ??

SMEDrieben

SMEDrieben

Not too shy to talk
Posted on: 9/21 18:38
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#4

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

In the admin, there appear several warnings. The look like lacking language constants, but I cannot find the place they should be defined:

Waarschuwingconstant(): Couldn't find constant CO_PUBLISHER_IMAGEINFO in bestand /modules/publisher/class/Common/ServerStats.php regel 41 
Waarschuwing: constant(): Couldn'
t find constant CO_PUBLISHER_SPHPINI in bestand /modules/publisher/class/Common/ServerStats.php regel 49 
Waarschuwing
constant(): Couldn't find constant CO_PUBLISHER_GDON in bestand /modules/publisher/class/Common/ServerStats.php regel 52 
Waarschuwing: constant(): Couldn'
t find constant CO_PUBLISHER_GDLIBSTATUS in bestand /modules/publisher/class/Common/ServerStats.php regel 53 
Waarschuwing
constant(): Couldn't find constant CO_PUBLISHER_ON in bestand /modules/publisher/class/Common/ServerStats.php regel 66 
Waarschuwing: constant(): Couldn'
t find constant CO_PUBLISHER_SERVERUPLOADSTATUS in bestand /modules/publisher/class/Common/ServerStats.php regel 67 
Waarschuwing
constant(): Couldn't find constant CO_PUBLISHER_MAXUPLOADSIZE in bestand /modules/publisher/class/Common/ServerStats.php regel 69 
Waarschuwing: constant(): Couldn'
t find constant CO_PUBLISHER_MAXPOSTSIZE in bestand /modules/publisher/class/Common/ServerStats.php regel 70 
Waarschuwing
constant(): Couldn't find constant CO_PUBLISHER_MEMORYLIMIT in bestand /modules/publisher/class/Common/ServerStats.php regel 71 
Waarschuwing: constant(): Couldn'
t find constant CO_PUBLISHER_SERVERPATH in bestand /modules/publisher/class/Common/ServerStats.php regel 74 
Waarschuwing
constant(): Couldn't find constant CO_PUBLISHER_UPLOADPATHDSC in bestand /modules/publisher/class/Common/ServerStats.php regel 77


How can I solve ?

SMEDrieben

Mamba

Moderator
Posted on: 9/22 1:42
Mamba
Mamba (Show more)
Moderator
Posts: 10630
Since: 2004/4/23
#5

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Quote:
In the admin, there appear several warnings. The look like lacking language constants, but I cannot find the place they should be defined

You need to copy the file /language/english/common.php to your local language folder, and translate it
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Mamba

Moderator
Posted on: 9/22 1:50
Mamba
Mamba (Show more)
Moderator
Posts: 10630
Since: 2004/4/23
#6

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Quote:
In my test system, Xoops 2.5.9 and php 7.0.10, the mime-tab in the admin generates a fatal error

Change the line 491 in /class/MimetypesUtility.php to this:
require_once dirname(__DIR__) . '/admin/admin_footer.php';


Quote:
Is it normal that both backslashes and forward slashes are used in a path (\class/admin) ??

On Windows it doesn't matter.
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/22 9:53
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#7

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

I am sorry, but it does not work:

Fatal error: require_once(): Failed opening required 'C:\wamp64\www\httpdocs\modules\publisher\class/admin/admin_footer.php' (include_path='.;C:\php\pear') in C:\wamp64\www\httpdocs\modules\publisher\class\MimetypesUtility.php on line 491

I though the "class" is wrong and changed line 491 to:

require_once PUBLISHER_ADMIN_URL .'/admin_footer.php';

This does not work either:

Fatal error: require_once(): Failed opening required 'http://localhost/httpdocs/modules/publisher/admin/admin_footer.php' (include_path='.;C:\php\pear') in C:\wamp64\www\httpdocs\modules\publisher\class\MimetypesUtility.php on line 491

Why ? The path is correct, the file exists. There are 2 additonal warnings:

Fouten
Waarschuwing: require_once(): http:// wrapper is disabled in the server configuration by allow_url_include=0 in bestand /modules/publisher/class/MimetypesUtility.php regel 491
Waarschuwing: require_once(http://localhost/httpdocs/modules/publisher/admin/admin_footer.php): failed to open stream: no suitable wrapper could be found in bestand /modules/publisher/class/MimetypesUtility.php regel 491

Another issue is that C:\php\pear does noet exist. I have a regular wamperver installation, but tht does not provide c:\php\pear.

Is there a solution ?

SMEDrieben

SMEDrieben

Not too shy to talk
Posted on: 9/22 10:40
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#8

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

It does work! dirname() was skipped. Thanks!

SMEDrieben

Mamba

Moderator
Posted on: 9/22 10:54
Mamba
Mamba (Show more)
Moderator
Posts: 10630
Since: 2004/4/23
#9

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Great! I'm happy to hear it!

Thanks for testing and reporting!
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/23 20:20
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#10

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

But the story continues...

I copied all Publisher 1.06 files to my production server (php 5.6.38-0+deb8u1). I clicked the "modules" tab in the admin. Immediately, a http 500 error occurred. So, I could'n't even update the publisher module in the module admin. Furthermore, I could not enter the admin at all after copying the 1.06 files !.

So, I copied the 1.05 files from my backup to my production server and everything worked again normally.

Can I upgrade to 1.06 on php 5.6.38 before my ISP will switch to php 7 ? Is it normal that the upgrade cannot be performed with php 5.6 ??

SMEDrieben